package net.rmi.armi;

import gui.In;

import java.rmi.Naming;
import java.rmi.NotBoundException;
import java.rmi.RemoteException;

public class RmiHelloClient {
    private String rmiUrl = null;
    private RemoteHelloInterface remoteHelloInterface = null;
    // this is my hack to force SDA in initium to upload
    // JAWS jar with stubs.
    //public static net.rmi.armi.RemoteHelloImplementation_Skel a=
    //        new RemoteHelloImplementation_Skel();
   //public static net.rmi.armi.RemoteHelloImplementation_Stub b=
   //         new RemoteHelloImplementation_Stub();

    public RmiHelloClient(String location) {
        //webStartClassLoaderHack();
        rmiUrl = location;
        try {
            remoteHelloInterface = lookupRemoteHelloInterface();
        } catch (NotBoundException e) {
            e.printStackTrace();
        } catch (java.net.MalformedURLException e) {
            e.printStackTrace();
        } catch (RemoteException e) {
            e.printStackTrace();
        }
    }
    public RemoteHelloInterface getRemoteHelloInterface() {
        return remoteHelloInterface;
    }

    private RemoteHelloInterface lookupRemoteHelloInterface()
            throws NotBoundException,
            java.net.MalformedURLException,
            RemoteException {
        RemoteHelloInterface rh = (RemoteHelloInterface)
                Naming.lookup(rmiUrl);
        return rh;
    }

    public static void main(String args[]) {
        try {
            final String serverHostName = In.getString("enter sever ipAddress");
            //System.setProperty("java.rmi.server.hostname", serverHostName);




            RmiHelloClient rhc =
                    new RmiHelloClient(
                            "rmi://" +
                    serverHostName +
                    "/RemoteHello");
            RemoteHelloInterface rhi = rhc.getRemoteHelloInterface();
            String ans = rhi.getMsg();
            rhi.testGetMsg();
            System.out.println(ans);
        } catch (RemoteException e) {
            e.printStackTrace();
        }
    }
    public String getMsg() throws RemoteException {
        return remoteHelloInterface.getMsg();
    }

    public void testGetMsg()
            throws
            RemoteException {
        System.out.println(remoteHelloInterface.getMsg());
    }
}
